# IRiUserInterface Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SetNewCtrl ([in] BSTR bNodeName,[in] BSTR bConnName,[in] BSTR bCtrlType,[in] BSTR bPanel)
HRESULT | SetAspect ([in] BSTR idPanel,[in] RtUlong ulAspect)
HRESULT | OpenAttributeLib ([in] BSTR bOwnerNodeName,[in] BSTR bPEName,[in] BSTR bNodeName)
HRESULT | OpenControlLib ([in] BSTR bOwnerNodeName,[in] BSTR bPEName,[in] BSTR bNodeName)
HRESULT | OpenAllCtrlsLib ([in] BSTR bOwnerNodeName,[in] BSTR bPEName,[in] BSTR bNodeName)
HRESULT | ChangeControl ([in] BSTR bCtrlType,[in] BSTR bPanel)
HRESULT | AssignToIcon ([in] BSTR bCtrlType,[in] BSTR bPanel,[in] BSTR bConName)
HRESULT | SetState ([in] BSTR idPanel,[in] RtUlong ulState)
HRESULT | OpenPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect)
HRESULT | OpenPanelViewEx ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] INT posX,[in] INT posY,[in] BSTR WinID)
HRESULT | OpenImageLibrary ()
HRESULT | ApplyBitmap ([in] BSTR SourceNode)
HRESULT | OpenImageLibraryEx ()
HRESULT | OpenToolPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect)
HRESULT | OpenToolPanelViewEx ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] INT posX,[in] INT posY,[in] BSTR WinID)
HRESULT | OpenObjectPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect)
HRESULT | OpenCommandPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect)
HRESULT | OpenToolPanelViewEx2 ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels)
HRESULT | OpenPreferencesPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect)
HRESULT | OpenPreferencesPanelViewEx ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels)
HRESULT | OpenProgressPanel ()
HRESULT | TogglePanelAutoShow ([in] BSTR SourceNode,[in] VARIANT Enable)
HRESULT | ShowAutoOpenPanels ()
HRESULT | OpenToolPanelViewWithFlag ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] RtLong iFlag)
HRESULT | OpenToolPanelViewExWithFlag ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] INT posX,[in] INT posY,[in] BSTR WinID,[in] RtLong iFlag)
HRESULT | OpenToolPanelViewEx2WithFlag ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels,[in] RtLong iFlag)
HRESULT | OpenPreferencesPanelViewExWithFlag ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels,[in] RtLong iFlag)
HRESULT | OpenPreferencesPanelViewWithFlag ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] RtLong iFlag)
HRESULT | ConvertToolbars ()
HRESULT | OpenFontDlg ([in] BSTR SourceNode)
HRESULT | OpenNodePanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG dwPanelType,[in] LONG bFlags)
HRESULT | ReplaceToolPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] BSTR bszNewPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels)
HRESULT | InsertAfterToolPanelView ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszInsertPanel,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels)
HRESULT | OpenAutoPanelViewEx2 ([in] BSTR bszFrameID,[in] BSTR bszOwner,[in] BSTR bszPanel,[in] LONG aspect,[in] LONG forceShowAspect,[in] LONG bAllowMoreSamePanels)

## Detailed Description

The IRiUserInterface interface provides methods that allow you access and modify the Panel Control and User Interface.

Root-level name in the scripting engine's name space: UserInterface

## Member Function Documentation

HRESULT IRiUserInterface::SetNewCtrl | ( | [in] BSTR | bNodeName,
|  | [in] BSTR | bConnName,
|  | [in] BSTR | bCtrlType,
|  | [in] BSTR | bPanel |
| ) |  |  |

Add new control to panel.

- Type of control is set by bCtrlType value.
- Id of control is used from bConnName.

Parameters:

  | bNodeName | [in] Specifies the node root, that contain the connector.
  | bConnName | [in] Specifies the connector name.
  | bCtrlType | [in] The identifier of control type.
  | bPanel | [in] Specifies the panel root.

HRESULT IRiUserInterface::SetAspect | ( | [in] BSTR | idPanel,
|  | [in] RtUlong | ulAspect |
| ) |  |  |

Set new aspect to panel.

Parameters:

  | idPanel | [in] The panel id.
  | ulAspect | [in] Index of new aspect.

Remarks:
  In case only panel's node was specified, go through all opened panels and change aspect for all of them.

HRESULT IRiUserInterface::OpenAttributeLib | ( | [in] BSTR | bOwnerNodeName,
|  | [in] BSTR | bPEName,
|  | [in] BSTR | bNodeName |
| ) |  |  |

Open attribute library toolbar.

- Toolbar will be called by owner id.

Parameters:

  | bOwnerNodeName | [in] Owner node name.
  | bPEName | [in] Panel editor name.
  | bNodeName | [in] Node name.

Remarks:
  We want to have one-and-only-one toolbar (of this kind) in every parent editor.

See also:
  OpenControlLib

HRESULT IRiUserInterface::OpenControlLib | ( | [in] BSTR | bOwnerNodeName,
|  | [in] BSTR | bPEName,
|  | [in] BSTR | bNodeName |
| ) |  |  |

Open control library toolbar.

- Toolbar will be called by owner id.

Parameters:

  | bOwnerNodeName | [in] Owner node name.
  | bPEName | [in] Panel editor name.
  | bNodeName | [in] Node name.

Remarks:
  We want to have one-and-only-one toolbar (of this kind) in every parent editor.

See also:
  OpenAttributeLib

HRESULT IRiUserInterface::OpenAllCtrlsLib | ( | [in] BSTR | bOwnerNodeName,
|  | [in] BSTR | bPEName,
|  | [in] BSTR | bNodeName |
| ) |  |  |

Open all controls library.

Parameters:

  | bOwnerNodeName | [in] Owner node name.
  | bPEName | [in] Panel editor name.
  | bNodeName | [in] Node name.

HRESULT IRiUserInterface::ChangeControl | ( | [in] BSTR | bCtrlType,
|  | [in] BSTR | bPanel |
| ) |  |  |

Change selected control type for panel specified by id.

Parameters:

  | bCtrlType | [in] Control type id.
  | bPanel | [in] Panel id.

HRESULT IRiUserInterface::AssignToIcon | ( | [in] BSTR | bCtrlType,
|  | [in] BSTR | bPanel,
|  | [in] BSTR | bConName |
| ) |  |  |

Set iconization aspect to control with type equal control type.

Parameters:

  | bCtrlType | [in] Control type id.
  | bPanel | [in] Panel id.
  | bConName | [in] Connector name.

HRESULT IRiUserInterface::SetState | ( | [in] BSTR | idPanel,
|  | [in] RtUlong | ulState |
| ) |  |  |

Get actual state flag of panel specified by id, use xor operation with actual and new state and than update final LE panel state.

Parameters:

  | idPanel | [in] Panel id.
  | ulState | [in] State flag.

HRESULT IRiUserInterface::OpenPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect |
| ) |  |  |

Open Panel view window, in specified aspect, with default window position (0,0).

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.

HRESULT IRiUserInterface::OpenPanelViewEx | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] INT | posX,
|  | [in] INT | posY,
|  | [in] BSTR | WinID |
| ) |  |  |

Open Panel view window, in specified aspect, with default window position specified by parameters posX, posY.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | posX | [in] Default x position of created panel view window.
  | posY | [in] Default y position of created panel view window.
  | WinID | [in] Not used.

HRESULT IRiUserInterface::OpenImageLibrary | ( |  | ) |

Open panel window with image library.

Remarks:
  Same as OpenImageLibraryEx. Equal to: Library2.AddLibraryWindowIntoTools('/Libraries/Main Library Place:Bitmaps - Base');

HRESULT IRiUserInterface::ApplyBitmap | ( | [in] BSTR | SourceNode | ) |

Apply bitmap from the source node, to target node.

Parameters:

  | SourceNode | [in] Source node name.

HRESULT IRiUserInterface::OpenImageLibraryEx | ( |  | ) |

Open panel window with image library.

Remarks:
  Same as OpenImageLibrary. Equal to: Library2.AddLibraryWindowIntoTools('/Libraries/Main Library Place:Bitmaps - Base');

HRESULT IRiUserInterface::OpenToolPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect |
| ) |  |  |

Open tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.

HRESULT IRiUserInterface::OpenToolPanelViewEx | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] INT | posX,
|  | [in] INT | posY,
|  | [in] BSTR | WinID |
| ) |  |  |

Open tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | posX | [in] Default x position of created panel view window.
  | posY | [in] Default y position of created panel view window.
  | WinID | [in] Not used.

HRESULT IRiUserInterface::OpenObjectPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect |
| ) |  |  |

Open object panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.

HRESULT IRiUserInterface::OpenCommandPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect |
| ) |  |  |

Open command panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.

HRESULT IRiUserInterface::OpenToolPanelViewEx2 | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels |
| ) |  |  |

Open tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.

HRESULT IRiUserInterface::OpenPreferencesPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect |
| ) |  |  |

Open preferences panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.

HRESULT IRiUserInterface::OpenPreferencesPanelViewEx | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels |
| ) |  |  |

Open preferences panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.

HRESULT IRiUserInterface::OpenProgressPanel | ( |  | ) |

Open progress panel.

Remarks:
  Method is not supported.

HRESULT IRiUserInterface::TogglePanelAutoShow | ( | [in] BSTR | SourceNode,
|  | [in] VARIANT | Enable |
| ) |  |  |

Toggle panel auto show.

- If source node name is empty string, system find first selected node, if no node is selected return E_FAIL.

Parameters:

  | SourceNode | [in] Source node root.
  | Enable | [in] Status of auto show, support values: 0 (Don't show automatically). 1 (Show automatically). -1 (switch previous state).

Remarks:
  Command support undo operation.

See also:
  ShowAutoOpenPanels

HRESULT IRiUserInterface::ShowAutoOpenPanels | ( |  | ) |

Show all auto panel in Space3D root.

Remarks:
  Auto panel is a panel which panel auto show status is enabled.

See also:
  TogglePanelAutoShow

HRESULT IRiUserInterface::OpenToolPanelViewWithFlag | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] RtLong | iFlag |
| ) |  |  |

Open tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | iFlag | [in] Specifies additional option for opening.

HRESULT IRiUserInterface::OpenToolPanelViewExWithFlag | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] INT | posX,
|  | [in] INT | posY,
|  | [in] BSTR | WinID,
|  | [in] RtLong | iFlag |
| ) |  |  |

Open tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID[in] | Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | posX | [in] Default x position of created panel view window .
  | posY | [in] Default y position of created panel view window .
  | WinID | [in] Not used.
  | iFlag | [in] Specifies additional option for opening.

HRESULT IRiUserInterface::OpenToolPanelViewEx2WithFlag | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels,
|  | [in] RtLong | iFlag |
| ) |  |  |

Open tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.
  | iFlag | [in] Specifies additional option for opening.

HRESULT IRiUserInterface::OpenPreferencesPanelViewExWithFlag | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels,
|  | [in] RtLong | iFlag |
| ) |  |  |

Open preferences panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.
  | iFlag | [in] Specifies additional option for opening.

HRESULT IRiUserInterface::OpenPreferencesPanelViewWithFlag | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] RtLong | iFlag |
| ) |  |  |

Open preferences panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | iFlag | [in] Specifies additional option for opening.

HRESULT IRiUserInterface::ConvertToolbars | ( |  | ) |

Convert toolbars.

Remarks:
  Method is not supported.

HRESULT IRiUserInterface::OpenFontDlg | ( | [in] BSTR | SourceNode | ) |

Use to open font dialog.

Parameters:

  | SourceNode | [in] Root of source node: Expected that source node is a Text3d primitive node. Expected that this source node contains connectors attached to attribute font, italic, bold. These connectors will be updated from the font dialog.

Returns:
  S_OK on success.

  Error code otherwise.

HRESULT IRiUserInterface::OpenNodePanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | dwPanelType,
|  | [in] LONG | bFlags |
| ) |  |  |

Open node panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | dwPanelType | [in] Panel view type.
  | bFlags | [in] Specifies additional option for opening.

HRESULT IRiUserInterface::ReplaceToolPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] BSTR | bszNewPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels |
| ) |  |  |

Replace tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | bszNewPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.

HRESULT IRiUserInterface::InsertAfterToolPanelView | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszInsertPanel,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels |
| ) |  |  |

Insert panel after tool panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.

HRESULT IRiUserInterface::OpenAutoPanelViewEx2 | ( | [in] BSTR | bszFrameID,
|  | [in] BSTR | bszOwner,
|  | [in] BSTR | bszPanel,
|  | [in] LONG | aspect,
|  | [in] LONG | forceShowAspect,
|  | [in] LONG | bAllowMoreSamePanels |
| ) |  |  |

Open auto panel in stack view or as panel frame window if stack view aspect doesn't exist.

Parameters:

  | bszFrameID | [in] Owner frame id.
  | bszOwner | [in] Identifies windows manager, or owner node where new control will be added.
  | bszPanel | [in] Identifies root node name of control, panel will be opened for this node.
  | aspect | [in] Index of aspect, selected after panel opening.
  | forceShowAspect | [in] If true, switch stack view aspect automatically.
  | bAllowMoreSamePanels | [in] If true, allow more same panels in stack panel.